Skip to main content
GET
/
entities
/
categories
/
{categoryId}
Get Entities By Category
curl --request GET \
  --url https://deep-index.moralis.io/api/v2.2/entities/categories/{categoryId} \
  --header 'X-API-Key: <api-key>'
{
  "result": [
    {
      "name": "Uniswap",
      "id": "uniswap",
      "logo": "https://uniswap.io/favicon.ico",
      "bio": "Uniswap is a decentralized finance protocol that is used to exchange cryptocurrencies.",
      "description": "Uniswap is a decentralized finance protocol that is used to exchange cryptocurrencies.",
      "website": "https://uniswap.io",
      "twitter": "https://twitter.com/uniswap",
      "type": "exchange",
      "total_addresses": 100
    }
  ],
  "page": "1",
  "page_size": "100"
}
Endpoint cost: CUs. Learn more about compute units.

Authorizations

X-API-Key
string
header
default:test
required

Path Parameters

categoryId
string
required

The category Id

Example:

"1"

Query Parameters

limit
integer

The desired page size of the result.

Required range: x >= 0

Response

200 - application/json

Returns the entities belonging to the category.

result
object[]
required
page
integer

The current page of the result

Example:

"1"

page_size
integer

The number of results per page

Example:

"100"